Subject: [bug#61094] [PATCH] doc: Document 'shebang' for 'guix shell'.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 16 Mar 2023 12:09:11 +0100

Hi,

Morgan Smith <[email-masked]> skribis:

>>>> +@example
>>>> +#!/usr/bin/env -S guix shell python python-nympy -- python3
>>>> +@end example
>
> Apparently, according to POSIX you're only allowed one argument on the
> '#!' line after the path of the executable.  I haven't confirmed this
> myself but it is in the guile manual, section 4.3.2 "The Meta Switch".
>
> One argument does seem quite limiting though so I wonder if anyone
> actually imposes that limit.

Yes, and ‘env -S’ is used to work around that limitation by splitting
that one argument.  It’s a GNU extension, which is fine in this context.

Ludo’.